# HG changeset patch
# Node ID cd208cccee79b066bc49a5ed4c3522eb6b060149
# Parent  7b516fe6cf350ff320a178ddc73a71e2d87b7fe2
diff --git a/pidgin/pidginaccountchooser.c b/pidgin/pidginaccountchooser.c
--- a/pidgin/pidginaccountchooser.c
+++ b/pidgin/pidginaccountchooser.c
@@ -117,10 +117,9 @@ pidgin_account_chooser_class_init(Pidgin
 	 * Since: 3.0
 	 */
 	properties[PROP_ACCOUNT] = g_param_spec_object(
-	        "account", "Account",
-	        "The account that is currently selected.",
-	        PURPLE_TYPE_ACCOUNT,
-	        G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
+		"account", NULL, NULL,
+		PURPLE_TYPE_ACCOUNT,
+		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
 	/**
 	 * PidginAccountChooser:filter:
@@ -130,10 +129,9 @@ pidgin_account_chooser_class_init(Pidgin
 	 * Since: 3.0
 	 */
 	properties[PROP_FILTER] = g_param_spec_object(
-	        "filter", "filter",
-	        "The filter to be applied on the list of accounts.",
-	        GTK_TYPE_FILTER,
-	        G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
+		"filter", NULL, NULL,
+		GTK_TYPE_FILTER,
+		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
 	g_object_class_install_properties(obj_class, N_PROPERTIES, properties);
 
diff --git a/pidgin/pidginaccountdisplay.c b/pidgin/pidginaccountdisplay.c
--- a/pidgin/pidginaccountdisplay.c
+++ b/pidgin/pidginaccountdisplay.c
@@ -147,9 +147,9 @@ pidgin_account_display_class_init(Pidgin
 	 * Since: 3.0
 	 */
 	properties[PROP_ACCOUNT] = g_param_spec_object(
-	        "account", "Account", "The account that is currently displayed.",
-	        PURPLE_TYPE_ACCOUNT,
-	        G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
+		"account", NULL, NULL,
+		PURPLE_TYPE_ACCOUNT,
+		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
 	g_object_class_install_properties(obj_class, N_PROPERTIES, properties);
 
diff --git a/pidgin/pidginaccounteditor.c b/pidgin/pidginaccounteditor.c
--- a/pidgin/pidginaccounteditor.c
+++ b/pidgin/pidginaccounteditor.c
@@ -1180,8 +1180,7 @@ pidgin_account_editor_class_init(PidginA
 	 * Since: 3.0
 	 */
 	properties[PROP_ACCOUNT] = g_param_spec_object(
-		"account", "account",
-		"The account to modify",
+		"account", NULL, NULL,
 		PURPLE_TYPE_ACCOUNT,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -1194,8 +1193,7 @@ pidgin_account_editor_class_init(PidginA
 	 * Since: 3.0
 	 */
 	properties[PROP_VALID] = g_param_spec_boolean(
-		"valid", "valid",
-		"Whether or not the account settings are valid",
+		"valid", NULL, NULL,
 		FALSE,
 		G_PARAM_READABLE | G_PARAM_STATIC_STRINGS);
 
diff --git a/pidgin/pidginaccountfilterprotocol.c b/pidgin/pidginaccountfilterprotocol.c
--- a/pidgin/pidginaccountfilterprotocol.c
+++ b/pidgin/pidginaccountfilterprotocol.c
@@ -151,7 +151,7 @@ pidgin_account_filter_protocol_class_ini
 	 * The protocol id that will be filtered for.
 	 */
 	properties[PROP_PROTOCOL_ID] = g_param_spec_string(
-		"protocol-id", "protocol-id", "The id of the protocol to filter",
+		"protocol-id", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
diff --git a/pidgin/pidginaccountmanagerrow.c b/pidgin/pidginaccountmanagerrow.c
--- a/pidgin/pidginaccountmanagerrow.c
+++ b/pidgin/pidginaccountmanagerrow.c
@@ -330,8 +330,7 @@ pidgin_account_manager_row_class_init(Pi
 	 * Since: 3.0
 	 */
 	properties[PROP_ACCOUNT] = g_param_spec_object(
-		"account", "account",
-		"The account that this row is representing",
+		"account", NULL, NULL,
 		PURPLE_TYPE_ACCOUNT,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
diff --git a/pidgin/pidginaccountrow.c b/pidgin/pidginaccountrow.c
--- a/pidgin/pidginaccountrow.c
+++ b/pidgin/pidginaccountrow.c
@@ -120,8 +120,7 @@ pidgin_account_row_class_init(PidginAcco
 	 * Since: 3.0
 	 */
 	properties[PROP_ACCOUNT] = g_param_spec_object(
-		"account", "account",
-		"The account that is selected.",
+		"account", NULL, NULL,
 		PURPLE_TYPE_ACCOUNT,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -133,10 +132,9 @@ pidgin_account_row_class_init(PidginAcco
 	 * Since: 3.0
 	 */
 	properties[PROP_FILTER] = g_param_spec_object(
-	        "filter", "filter",
-	        "The filter to be applied on the list of accounts.",
-	        GTK_TYPE_FILTER,
-	        G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
+		"filter", NULL, NULL,
+		GTK_TYPE_FILTER,
+		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 	g_object_class_install_properties(obj_class, N_PROPERTIES, properties);
 
 	gtk_widget_class_set_template_from_resource(
diff --git a/pidgin/pidginavatar.c b/pidgin/pidginavatar.c
--- a/pidgin/pidginavatar.c
+++ b/pidgin/pidginavatar.c
@@ -260,8 +260,7 @@ pidgin_avatar_class_init(PidginAvatarCla
 	 * Whether or not an animated avatar should be animated.
 	 */
 	properties[PROP_ANIMATE] = g_param_spec_boolean(
-		"animate", "animate",
-		"Whether or not to animate an animated avatar",
+		"animate", NULL, NULL,
 		FALSE,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT | G_PARAM_STATIC_STRINGS);
 
@@ -271,8 +270,7 @@ pidgin_avatar_class_init(PidginAvatarCla
 	 * The contact info whose avatar will be displayed.
 	 */
 	properties[PROP_CONTACT_INFO] = g_param_spec_object(
-		"contact-info", "contact-info",
-		"The contact info whose avatar to display",
+		"contact-info", NULL, NULL,
 		PURPLE_TYPE_CONTACT_INFO,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -282,8 +280,7 @@ pidgin_avatar_class_init(PidginAvatarCla
 	 * The conversation which will be used to find the correct avatar.
 	 */
 	properties[PROP_CONVERSATION] = g_param_spec_object(
-		"conversation", "conversation",
-		"The conversation used to find the correct avatar.",
+		"conversation", NULL, NULL,
 		PURPLE_TYPE_CONVERSATION,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
diff --git a/pidgin/pidginconversation.c b/pidgin/pidginconversation.c
--- a/pidgin/pidginconversation.c
+++ b/pidgin/pidginconversation.c
@@ -525,8 +525,7 @@ pidgin_conversation_class_init(PidginCon
 	 * Since: 3.0
 	 */
 	properties[PROP_CONVERSATION] = g_param_spec_object(
-		"conversation", "conversation",
-		"The purple conversation this widget is for.",
+		"conversation", NULL, NULL,
 		PURPLE_TYPE_CONVERSATION,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
diff --git a/pidgin/pidgininfopane.c b/pidgin/pidgininfopane.c
--- a/pidgin/pidgininfopane.c
+++ b/pidgin/pidgininfopane.c
@@ -162,8 +162,7 @@ pidgin_info_pane_class_init(PidginInfoPa
 	 * Since: 3.0
 	 */
 	properties[PROP_TITLE] = g_param_spec_string(
-		"title", "title",
-		"The title for the info pane.",
+		"title", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -175,8 +174,7 @@ pidgin_info_pane_class_init(PidginInfoPa
 	 * Since: 3.0
 	 */
 	properties[PROP_SUBTITLE] = g_param_spec_string(
-		"subtitle", "subtitle",
-		"The subtitle for the info pane.",
+		"subtitle", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -188,8 +186,7 @@ pidgin_info_pane_class_init(PidginInfoPa
 	 * Since: 3.0
 	 */
 	properties[PROP_CHILD] = g_param_spec_object(
-		"child", "child",
-		"A child widget to display at the end of the info pane.",
+		"child", NULL, NULL,
 		GTK_TYPE_WIDGET,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
diff --git a/pidgin/pidginnotifiable.c b/pidgin/pidginnotifiable.c
--- a/pidgin/pidginnotifiable.c
+++ b/pidgin/pidginnotifiable.c
@@ -41,8 +41,7 @@ pidgin_notifiable_default_init(PidginNot
 	 * Since: 3.0
 	 */
 	pspec = g_param_spec_boolean(
-		"needs-attention", "needs-attention",
-		"Whether or not this notifiable needs attention.",
+		"needs-attention", NULL, NULL,
 		FALSE,
 		G_PARAM_READABLE | G_PARAM_STATIC_STRINGS);
 	g_object_interface_install_property(iface, pspec);
@@ -55,8 +54,7 @@ pidgin_notifiable_default_init(PidginNot
 	 * Since: 3.0
 	 */
 	pspec = g_param_spec_uint(
-		"notification-count", "notifications-count",
-		"The number of notifications.",
+		"notification-count", NULL, NULL,
 		0, G_MAXUINT, 0,
 		G_PARAM_READABLE | G_PARAM_STATIC_STRINGS);
 	g_object_interface_install_property(iface, pspec);
diff --git a/pidgin/pidginpresenceicon.c b/pidgin/pidginpresenceicon.c
--- a/pidgin/pidginpresenceicon.c
+++ b/pidgin/pidginpresenceicon.c
@@ -141,8 +141,7 @@ pidgin_presence_icon_class_init(PidginPr
 	 * The presence that this icon will be representing.
 	 */
 	properties[PROP_PRESENCE] = g_param_spec_object(
-		"presence", "presence",
-		"The presence that this icon is representing",
+		"presence", NULL, NULL,
 		PURPLE_TYPE_PRESENCE,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT | G_PARAM_STATIC_STRINGS);
 
@@ -152,8 +151,7 @@ pidgin_presence_icon_class_init(PidginPr
 	 * The name of the icon to use as a fallback when no presence is set.
 	 */
 	properties[PROP_FALLBACK] = g_param_spec_string(
-		"fallback", "fallback",
-		"The name of the icon to use as a fallback",
+		"fallback", NULL, NULL,
 		"pidgin-user-invisible",
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT | G_PARAM_STATIC_STRINGS);
 
@@ -163,8 +161,7 @@ pidgin_presence_icon_class_init(PidginPr
 	 * The size of the icon that should be used.
 	 */
 	properties[PROP_ICON_SIZE] = g_param_spec_enum(
-		"icon-size", "icon-size",
-		"The GtkIconSize to use",
+		"icon-size", NULL, NULL,
 		GTK_TYPE_ICON_SIZE,
 		GTK_ICON_SIZE_NORMAL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT | G_PARAM_STATIC_STRINGS);
diff --git a/pidgin/pidginprotocolchooser.c b/pidgin/pidginprotocolchooser.c
--- a/pidgin/pidginprotocolchooser.c
+++ b/pidgin/pidginprotocolchooser.c
@@ -109,9 +109,7 @@ pidgin_protocol_chooser_class_init(Pidgi
 	 * Since: 3.0
 	 **/
 	properties[PROP_PROTOCOL] = g_param_spec_object(
-		"protocol",
-		"protocol",
-		"The PurpleProtocol which is currently selected",
+		"protocol", NULL, NULL,
 		PURPLE_TYPE_PROTOCOL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
diff --git a/pidgin/plugins/disco/xmppdiscoservice.c b/pidgin/plugins/disco/xmppdiscoservice.c
--- a/pidgin/plugins/disco/xmppdiscoservice.c
+++ b/pidgin/plugins/disco/xmppdiscoservice.c
@@ -220,59 +220,58 @@ xmpp_disco_service_class_init(XmppDiscoS
 	obj_class->finalize = xmpp_disco_service_finalize;
 
 	properties[PROP_LIST] = g_param_spec_pointer(
-	        "list", "list", "The list displaying this service.",
-	        G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
+		"list", NULL, NULL,
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
 	properties[PROP_NAME] = g_param_spec_string(
-	        "name", "name", "The name of this service.",
-	        NULL,
-	        G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
+		"name", NULL, NULL,
+		NULL,
+		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
 	properties[PROP_DESCRIPTION] = g_param_spec_string(
-	        "description", "description", "The description of this service.",
-	        NULL,
-	        G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
+		"description", NULL, NULL,
+		NULL,
+		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
 	properties[PROP_SERVICE_TYPE] = g_param_spec_enum(
-	        "service-type", "service-type", "The service type of this service.",
-	        XMPP_DISCO_TYPE_SERVICE_TYPE, XMPP_DISCO_SERVICE_TYPE_UNSET,
-	        G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
+		"service-type", NULL, NULL,
+		XMPP_DISCO_TYPE_SERVICE_TYPE, XMPP_DISCO_SERVICE_TYPE_UNSET,
+		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
 	properties[PROP_GATEWAY_TYPE] = g_param_spec_string(
-	        "gateway-type", "gateway-type", "The gateway type of this service.",
-	        NULL,
-	        G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
+		"gateway-type", NULL, NULL,
+		NULL,
+		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
 	properties[PROP_FLAGS] = g_param_spec_flags(
-	        "flags", "flags", "The flags of this service.",
-	        XMPP_DISCO_TYPE_SERVICE_FLAGS, XMPP_DISCO_NONE,
-	        G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
+		"flags", NULL, NULL,
+		XMPP_DISCO_TYPE_SERVICE_FLAGS, XMPP_DISCO_NONE,
+		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
 	properties[PROP_JID] = g_param_spec_string(
-	        "jid", "jid", "The jid of this service.",
-	        NULL,
-	        G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
+		"jid", NULL, NULL,
+		NULL,
+		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
 	properties[PROP_NODE] = g_param_spec_string(
-	        "node", "node", "The node of this service.",
-	        NULL,
-	        G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
+		"node", NULL, NULL,
+		NULL,
+		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
 	properties[PROP_EXPANDED] = g_param_spec_boolean(
-	        "expanded", "expanded", "Whether this service expanded.",
-	        FALSE,
-	        G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
+		"expanded", NULL, NULL,
+		FALSE,
+		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
 	properties[PROP_ICON_NAME] = g_param_spec_string(
-	        "icon-name", "icon-name", "The icon name of this service.",
-	        NULL,
-	        G_PARAM_READABLE | G_PARAM_STATIC_STRINGS);
+		"icon-name", NULL, NULL,
+		NULL,
+		G_PARAM_READABLE | G_PARAM_STATIC_STRINGS);
 
 	properties[PROP_CHILD_MODEL] = g_param_spec_object(
-	        "child-model", "child-model",
-	        "The model containing children of this service.",
-	        G_TYPE_LIST_MODEL,
-	        G_PARAM_READABLE | G_PARAM_STATIC_STRINGS);
+		"child-model", NULL, NULL,
+		G_TYPE_LIST_MODEL,
+		G_PARAM_READABLE | G_PARAM_STATIC_STRINGS);
 
 	g_object_class_install_properties(obj_class, N_PROPERTIES, properties);
 }
diff --git a/pidgin/prefs/pidgincredentialproviderrow.c b/pidgin/prefs/pidgincredentialproviderrow.c
--- a/pidgin/prefs/pidgincredentialproviderrow.c
+++ b/pidgin/prefs/pidgincredentialproviderrow.c
@@ -149,8 +149,7 @@ pidgin_credential_provider_row_class_ini
 	 * The #PurpleCredentialProvider whose information will be displayed.
 	 */
 	properties[PROP_PROVIDER] = g_param_spec_object(
-		"provider", "provider",
-		"The PurpleCredentialProvider instance",
+		"provider", NULL, NULL,
 		PURPLE_TYPE_CREDENTIAL_PROVIDER,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -160,8 +159,7 @@ pidgin_credential_provider_row_class_ini
 	 * Whether the #PurpleCredentialProvider is currently active.
 	 */
 	properties[PROP_ACTIVE] = g_param_spec_boolean(
-		"active", "active",
-		"Whether the PurpleCredentialProvider is active",
+		"active", NULL, NULL,
 		FALSE,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
